summaryrefslogtreecommitdiffstats
path: root/network/zeek
diff options
context:
space:
mode:
author Michael Edie2019-09-28 03:21:28 +0200
committer Willy Sudiarto Raharjo2019-09-28 03:21:28 +0200
commit61f04070e3cc0d2fb3fe4e5f814fc93183cc1c72 (patch)
tree89592dddfe17b8a2a6f0b69995cd461f7ec5d2e1 /network/zeek
parentecb0795b93ef11959073cda9b9b1281ce61d294b (diff)
downloadslackbuilds-61f04070e3cc0d2fb3fe4e5f814fc93183cc1c72.tar.gz
network/zeek: Added (Network Security Monitor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/zeek')
-rw-r--r--network/zeek/README4
-rw-r--r--network/zeek/slack-desc19
-rw-r--r--network/zeek/zeek.SlackBuild101
-rw-r--r--network/zeek/zeek.info10
4 files changed, 134 insertions, 0 deletions
diff --git a/network/zeek/README b/network/zeek/README
new file mode 100644
index 0000000000..02323c5758
--- /dev/null
+++ b/network/zeek/README
@@ -0,0 +1,4 @@
+Zeek (Bro) is an open source intrusion detection system (IDS).
+It is different from traditional IDS tools in that it is
+focused on network analysis. In other words, it is used
+to monitor traffic traversing a network to identify anomalies.
diff --git a/network/zeek/slack-desc b/network/zeek/slack-desc
new file mode 100644
index 0000000000..2b0f45921b
--- /dev/null
+++ b/network/zeek/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zeek: zeek (The Zeek Network Security Monitor)
+zeek:
+zeek: Zeek (Bro) is an open source intrusion detection system (IDS).
+zeek: It is different from traditional IDS tools in that it is
+zeek: focused on network analysis. In other words, it is used
+zeek: to monitor traffic traversing a network to identify anomalies.
+zeek:
+zeek:
+zeek: https://www.zeek.org
+zeek:
+zeek:
diff --git a/network/zeek/zeek.SlackBuild b/network/zeek/zeek.SlackBuild
new file mode 100644
index 0000000000..6ce082a95f
--- /dev/null
+++ b/network/zeek/zeek.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for Zeek
+
+# Copyright 2018-2019 Michael Edie Orlando, FL USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zeek
+VERSION=${VERSION:-3.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/$PRGNAM
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+BIN="zeek zeek-config zeekctl zeek-cut capstats trace-summary"
+mkdir -p $PKG/usr/bin
+for i in $BIN
+ do ln -sf /opt/$PRGNAM/bin/$i $PKG/usr/bin/$i
+done
+
+mv $PKG/opt/$PRGNAM/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES README COPYING NEWS VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/zeek/zeek.info b/network/zeek/zeek.info
new file mode 100644
index 0000000000..15c90fa18e
--- /dev/null
+++ b/network/zeek/zeek.info
@@ -0,0 +1,10 @@
+PRGNAM="zeek"
+VERSION="3.0.0"
+HOMEPAGE="https://www.zeek.org"
+DOWNLOAD="https://www.zeek.org/downloads/zeek-3.0.0.tar.gz"
+MD5SUM="6f952bac75a8b5299d45361da93fd9e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michael Edie"
+EMAIL="michael@sawbox.net"